Create chat completion with Gemma 3.4B IT
curl --request POST \
--url https://api.simplismart.live/chat/completions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "google/gemma-3-4b-it",
"messages": [
{
"role": "system",
"content": "Act as a helpful assistant to the user"
},
{
"role": "user",
"content": "Give me a travel itinerary for a 7-day trip to Japan"
}
],
"stream": false,
"temperature": 0.7,
"max_tokens": 1024,
"top_p": 0.9,
"stop": null
}
'import requests
url = "https://api.simplismart.live/chat/completions"
payload = {
"model": "google/gemma-3-4b-it",
"messages": [
{
"role": "system",
"content": "Act as a helpful assistant to the user"
},
{
"role": "user",
"content": "Give me a travel itinerary for a 7-day trip to Japan"
}
],
"stream": False,
"temperature": 0.7,
"max_tokens": 1024,
"top_p": 0.9,
"stop": None
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'google/gemma-3-4b-it',
messages: [
{role: 'system', content: 'Act as a helpful assistant to the user'},
{role: 'user', content: 'Give me a travel itinerary for a 7-day trip to Japan'}
],
stream: false,
temperature: 0.7,
max_tokens: 1024,
top_p: 0.9,
stop: null
})
};
fetch('https://api.simplismart.live/chat/completions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"choices": [
{
"delta": {
"content": "<string>"
},
"index": 123
}
]
}LLMs
Gemma 3 4B API
Create a chat completion for given messages with streaming support
POST
/
chat
/
completions
Create chat completion with Gemma 3.4B IT
Authorizations
JWT token for authentication
Body
application/json
Array of messages in the conversation
Show child attributes
Show child attributes
Model identifier
Available options:
google/gemma-3-4b-it Whether to stream the response
Sampling temperature
Required range:
0 <= x <= 2Maximum number of tokens to generate
Required range:
1 <= x <= 4096Nucleus sampling parameter
Required range:
0 <= x <= 1Sequences where the API will stop generating
Was this page helpful?
⌘I